Qt Reference Documentation

# Tab Class Reference

(QTextOption::Tab)

     #include <QTextOption>

This class was introduced in Qt 4.4.

- List of all members, including inherited members

## Public Functions

| Tab ()
| Tab ( qreal pos, TabType tabType, QChar delim = QChar() )
bool | operator!= ( const Tab & other ) const
bool | operator== ( const Tab & other ) const

## Public Variables

QChar | delimiter
qreal | position
TabType | type

## Detailed Description

Each tab definition is represented by this struct.

## Member Function Documentation

### Tab::Tab ()

Creates a default left tab with position 80.

### Tab::Tab ( qreal pos, TabType tabType, QChar delim = QChar() )

Creates a tab with the given position, tab type, and delimiter (pos, tabType, delim).

Note: delim is only used when tabType is DelimiterTab.

This function was introduced in Qt 4.7.

### bool Tab::operator!= ( const Tab & other ) const

Returns true if tab other is not equal to this tab; otherwise returns false.

### bool Tab::operator== ( const Tab & other ) const

Returns true if tab other is equal to this tab; otherwise returns false.

## Member Variable Documentation

### QChar Tab::delimiter

If type is DelimitorTab; tab until this char is found in the text.

### qreal Tab::position

Distance from the start of the paragraph. The position of a tab is from the start of the paragraph which implies that when the alignment of the paragraph is set to centered, the tab is interpreted to be moved the same distance as the left ege of the paragraph does. In case the paragraph is set to have a layoutDirection() RightToLeft the position is interpreted to be from the right side of the paragraph with higher numbers moving the tab to the left.

### TabType Tab::type

Determine which type is used. In a paragraph that has layoutDirection() RightToLeft the type LeftTab will be interpreted to be a RightTab and vice versa.